> For the complete documentation index, see [llms.txt](https://docs.barte.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.barte.com/banking/api/authentication.md).

# Autenticação

A API utiliza autenticação em duas camadas para máxima segurança:

1. **mTLS (Mutual TLS)**: Certificado digital do parceiro
2. **Bearer Token**: Token JWT obtido via OAuth 2.0

## Credenciais

Durante o processo de onboarding, a Barte fornece:

| Credencial       | Descrição                               |
| ---------------- | --------------------------------------- |
| `client_id`      | Identificador único do parceiro         |
| `client_secret`  | Chave secreta para autenticação         |
| Certificado mTLS | Arquivo `.pem` para autenticação mútua  |
| Chave privada    | Arquivo `.key` associado ao certificado |

> **Segurança**: Essas credenciais são confidenciais. Armazene-as de forma segura e nunca as exponha em código-fonte ou logs.

## Sign-in

Para obter o token de acesso, faça uma requisição OAuth 2.0 Client Credentials:

**Endpoints:**

| Ambiente | URL                                                |
| -------- | -------------------------------------------------- |
| Sandbox  | `https://sandbox-api-banking.barte.com/auth/token` |
| Produção | `https://api-banking.barte.com/auth/token`         |

**Request:**

```bash
curl --request POST \
  --url 'https://sandbox-api-banking.barte.com/auth/token' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'grant_type=client_credentials' \
  --data-urlencode 'client_id=SEU_CLIENT_ID' \
  --data-urlencode 'client_secret=SEU_CLIENT_SECRET'
```

**Response - 200 OK:**

```json
{
  "access_token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...",
  "expires_in": 1800,
  "refresh_expires_in": 0,
  "token_type": "Bearer",
  "not-before-policy": 0,
  "scope": "email profile"
}
```

| Campo          | Tipo    | Descrição                      |
| -------------- | ------- | ------------------------------ |
| `access_token` | String  | Token JWT para autenticação    |
| `expires_in`   | Integer | Tempo de expiração em segundos |
| `token_type`   | String  | Tipo do token (`Bearer`)       |

**Response - 401 Unauthorized:**

```json
{
    "error": "unauthorized_client",
    "error_description": "Invalid client or Invalid client credentials"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.barte.com/banking/api/authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
